package com.mygrouptasks.thiscontent.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class UserController {

    @GetMapping("/login")
    public String login()
    {
        System.out.println("login...");
        return "/login";
    }

    @GetMapping("/")
    public String welcome () {
        System.out.println("- start page here");
        return "welcome";
    }

    @GetMapping("/user")
    public String user (Model model) {
        System.out.println("- user page here");
        return "userpage";
    }

    @GetMapping("/admin")
    public String admin (Model model) {
        System.out.println("- admin page here");
        return "admin";
    }

    @GetMapping("/403")
    public String error403() {
        return "/error/403";
    }


}
